## CamelMimePart

CamelMimePart

## Synopsis

    struct              CamelMimePart;
    CamelMimePart*      camel_mime_part_new                 (void);
    void                camel_mime_part_set_description     (CamelMimePart *mime_part,
                                                             const char *description);
    const     char*     camel_mime_part_get_description     (CamelMimePart *mime_part);
    void                camel_mime_part_set_disposition     (CamelMimePart *mime_part,
                                                             const char *disposition);
    const     char*     camel_mime_part_get_disposition     (CamelMimePart *mime_part);
    void                camel_mime_part_set_filename        (CamelMimePart *mime_part,
                                                             const char *filename);
    const	  char*       camel_mime_part_get_filename        (CamelMimePart *mime_part);
    void                camel_mime_part_set_content_id      (CamelMimePart *mime_part,
                                                             const char *contentid);
    const	  char*       camel_mime_part_get_content_id      (CamelMimePart *mime_part);
    void                camel_mime_part_set_content_MD5     (CamelMimePart *mime_part,
                                                             const char *md5sum);
    const	  char*       camel_mime_part_get_content_MD5     (CamelMimePart *mime_part);
    void                camel_mime_part_set_content_location
                                                            (CamelMimePart *mime_part,
                                                             const char *location);
    const	  char*       camel_mime_part_get_content_location
                                                            (CamelMimePart *mime_part);
    void                camel_mime_part_set_encoding        (CamelMimePart *mime_part,
                                                             CamelTransferEncoding encoding);
    CamelTransferEncoding camel_mime_part_get_encoding      (CamelMimePart *mime_part);
    void                camel_mime_part_set_content_languages
                                                            (CamelMimePart *mime_part,
                                                             GList *content_languages);
    const	  GList*      camel_mime_part_get_content_languages
                                                            (CamelMimePart *mime_part);
    void                camel_mime_part_set_content_type    (CamelMimePart *mime_part,
                                                             const char *content_type);
    CamelContentType*   camel_mime_part_get_content_type    (CamelMimePart *mime_part);
    int                 camel_mime_part_construct_from_parser
                                                            (CamelMimePart *mime_part,
                                                             CamelMimeParser *parser);
    void                camel_mime_part_set_content         (CamelMimePart *mime_part,
                                                             const char *content,
                                                             int length,
                                                             const char *type);
    size_t              camel_mime_part_get_content_size    (CamelMimePart *mime_part);

## Description

## Details

### struct CamelMimePart

    struct CamelMimePart {
    	CamelMedium parent_object;

    	struct _camel_header_raw *headers; /* mime headers */

    	/* All fields here are -** PRIVATE **- */
    	/* TODO: these should be in a camelcontentinfo */
    	char *description;
    	CamelContentDisposition *disposition;
    	char *content_id;
    	char *content_MD5;
    	char *content_location;
    	GList *content_languages;
    	CamelTransferEncoding encoding;
    };

### camel_mime_part_new ()

    CamelMimePart*      camel_mime_part_new                 (void);

Returns : |

### camel_mime_part_set_description ()

    void                camel_mime_part_set_description     (CamelMimePart *mime_part,
                                                             const char *description);

`mime_part` : |
`description` : |

### camel_mime_part_get_description ()

    const     char*     camel_mime_part_get_description     (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_disposition ()

    void                camel_mime_part_set_disposition     (CamelMimePart *mime_part,
                                                             const char *disposition);

`mime_part` : |
`disposition` : |

### camel_mime_part_get_disposition ()

    const     char*     camel_mime_part_get_disposition     (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_filename ()

    void                camel_mime_part_set_filename        (CamelMimePart *mime_part,
                                                             const char *filename);

`mime_part` : |
`filename` : |

### camel_mime_part_get_filename ()

    const	  char*       camel_mime_part_get_filename        (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_content_id ()

    void                camel_mime_part_set_content_id      (CamelMimePart *mime_part,
                                                             const char *contentid);

`mime_part` : |
`contentid` : |

### camel_mime_part_get_content_id ()

    const	  char*       camel_mime_part_get_content_id      (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_content_MD5 ()

    void                camel_mime_part_set_content_MD5     (CamelMimePart *mime_part,
                                                             const char *md5sum);

`mime_part` : |
`md5sum` : |

### camel_mime_part_get_content_MD5 ()

    const	  char*       camel_mime_part_get_content_MD5     (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_content_location ()

    void                camel_mime_part_set_content_location
                                                            (CamelMimePart *mime_part,
                                                             const char *location);

`mime_part` : |
`location` : |

### camel_mime_part_get_content_location ()

    const	  char*       camel_mime_part_get_content_location
                                                            (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_encoding ()

    void                camel_mime_part_set_encoding        (CamelMimePart *mime_part,
                                                             CamelTransferEncoding encoding);

`mime_part` : |
`encoding` : |

### camel_mime_part_get_encoding ()

    CamelTransferEncoding camel_mime_part_get_encoding      (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_content_languages ()

    void                camel_mime_part_set_content_languages
                                                            (CamelMimePart *mime_part,
                                                             GList *content_languages);

`mime_part` : |
`content_languages` : |

### camel_mime_part_get_content_languages ()

    const	  GList*      camel_mime_part_get_content_languages
                                                            (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_set_content_type ()

    void                camel_mime_part_set_content_type    (CamelMimePart *mime_part,
                                                             const char *content_type);

`mime_part` : |
`content_type` : |

### camel_mime_part_get_content_type ()

    CamelContentType*   camel_mime_part_get_content_type    (CamelMimePart *mime_part);

`mime_part` : |
Returns : |

### camel_mime_part_construct_from_parser ()

    int                 camel_mime_part_construct_from_parser
                                                            (CamelMimePart *mime_part,
                                                             CamelMimeParser *parser);

`mime_part` : |
`parser` : |
Returns : |

### camel_mime_part_set_content ()

    void                camel_mime_part_set_content         (CamelMimePart *mime_part,
                                                             const char *content,
                                                             int length,
                                                             const char *type);

`mime_part` : |
`content` : |
`length` : |
`type` : |

### camel_mime_part_get_content_size ()

    size_t              camel_mime_part_get_content_size    (CamelMimePart *mime_part);

`mime_part` : |
Returns : |